Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 456354 - >=app-emulation/virtualbox-4.2.6-r1 [vboxwebsrv] fail to build. kmk_builtin_mv shows options help. kmk error 64
Summary: >=app-emulation/virtualbox-4.2.6-r1 [vboxwebsrv] fail to build. kmk_builtin_m...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 2 votes (vote)
Assignee: Lars Wendler (Polynomial-C)
URL: https://www.virtualbox.org/ticket/11803
Whiteboard:
Keywords: UPSTREAM
: 459118 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-02-09 23:27 UTC by jospezial
Modified: 2015-11-04 13:36 UTC (History)
13 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
My build.log (build.log,70.85 KB, text/plain)
2013-02-11 17:21 UTC, Knut Masanetz
Details
My emerge --info (emerge.info,5.88 KB, text/plain)
2013-02-11 17:24 UTC, Knut Masanetz
Details
My emerge -0qpv virtualbox (emerge.0pqv,165 bytes, text/plain)
2013-02-11 17:25 UTC, Knut Masanetz
Details
emerge --info and build log 4.1.24 (emerge-info_plus_build.txt,324.02 KB, text/plain)
2013-04-04 15:08 UTC, Dmitry
Details
build.log.xz, gsoap-2.8.17, virtualbox-4.3.10-r1 (build.log.xz,210.21 KB, application/x-xz)
2014-04-03 18:46 UTC, jannis
Details
emerge --info (einfo,22.29 KB, text/plain)
2014-04-03 18:47 UTC, jannis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jospezial 2013-02-09 23:27:45 UTC
LD      vboxjws.jar
/usr/lib64/icedtea7/bin/jar cfm /var/tmp/portage/app-emulation/virtualbox-4.2.6-r1/work/VirtualBox-4.2.6/out/linux.amd64/release/obj/VBoxJWs-inst-jar/vboxjws.jar /var/tmp/portage/app-emulation/virtualbox-4.2.6-r1/work/VirtualBox-4.2.6/out/linux.amd64/release/obj/vboxjws-gen/jwsgen/MANIFEST.MF -C /var/tmp/portage/app-emulation/virtualbox-4.2.6-r1/work/VirtualBox-4.2.6/out/linux.amd64/release/obj/vboxjws-gen/jdest .
kmk_builtin_rm -f 
/var/tmp/portage/app-emulation/virtualbox-4.2.6-r1/work/VirtualBox-4.2.6/out/linux.amd64/release/obj/split-soapC/split-soapC /var/tmp/portage/app-emulation/virtualbox-4.2.6-r1/work/VirtualBox-4.2.6/out/linux.amd64/release/obj/webservice/soapC.cpp /var/tmp/portage/app-emulation/virtualbox-4.2.6-r1/work/VirtualBox-4.2.6/out/linux.amd64/release/obj/webservice 20
kmk_builtin_rm -f /var/tmp/portage/app-emulation/virtualbox-4.2.6-r1/work/VirtualBox-4.2.6/out/linux.amd64/release/obj/webservice/gsoap_copy_all_ts
kmk_builtin_mkdir -p /var/tmp/portage/app-emulation/virtualbox-4.2.6-r1/work/VirtualBox-4.2.6/out/linux.amd64/release/obj/webservice/demo_soapxml /var/tmp/portage/app-emulation/virtualbox-4.2.6-r1/work/VirtualBox-4.2.6/out/linux.amd64/release/obj/webservice/demo_headers /var/tmp/portage/app-emulation/virtualbox-4.2.6-r1/work/VirtualBox-4.2.6/out/linux.amd64/release/obj/webservice/demo_namespacemaps
kmk_builtin_mv -f  /var/tmp/portage/app-emulation/virtualbox-4.2.6-r1/work/VirtualBox-4.2.6/out/linux.amd64/release/obj/webservice/demo_headers
usage: kmk_builtin_mv [-f | -i | -n] [-v] source target
   or: kmk_builtin_mv [-f | -i | -n] [-v] source ... directory
   or: kmk_builtin_mv --help
   or: kmk_builtin_mv --version
kmk: *** [/var/tmp/portage/app-emulation/virtualbox-4.2.6-r1/work/VirtualBox-4.2.6/out/linux.amd64/release/obj/webservice/gsoap_copy_all_ts] Error 64
kmk: *** Waiting for unfinished jobs....

Looks like the call is wrong. Source or target is missing in the command.
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2013-02-11 08:49:12 UTC
Please post the output of

  emerge --info && emerge -Oqpv virtualbox
Comment 2 Knut Masanetz 2013-02-11 17:21:42 UTC
Created attachment 338610 [details]
My build.log

My build.log...
Comment 3 Knut Masanetz 2013-02-11 17:24:46 UTC
Created attachment 338612 [details]
My emerge --info

My "emerge --info"
Comment 4 Knut Masanetz 2013-02-11 17:25:35 UTC
Created attachment 338614 [details]
My emerge -0qpv virtualbox

My "emerge -0qpv virtualbox"
Comment 5 Jeroen Roovers (RETIRED) gentoo-dev 2013-02-26 17:03:08 UTC
*** Bug 459118 has been marked as a duplicate of this bug. ***
Comment 6 Joe Breuer 2013-02-26 17:10:35 UTC
Two data points:

1. From what I gather, the bug will only bite with the 'vboxwebsrv' USE flag enabled (as is required to e.g. use app-emulation/phpvirtualbox).


2. I hit this when trying to build (stable) virtualbox-4.1.24. I remembered that I'd hit that in December as well, but (of course) couldn't remember what exactly I did to get around it. The usual MAKEOPTS="-j1" FEATURES="-distcc" did not work; in all I'd tried at least 5 rebuilds on the affected system.

On this system, I then unmasked virtualbox-4.2.6 with the plan of tracking down the bug and then fixing it in the current version first. But, alas, 4.2.6 built without problems...

I'm confused.
Comment 7 jospezial 2013-03-01 12:28:14 UTC
The same with 4.2.8:

/var/tmp/portage/app-emulation/virtualbox-4.2.8/work/VirtualBox-4.2.8/out/linux.amd64/release/obj/split-soapC/split-soapC /var/tmp/portage/app-emulation/virtualbox-4.2.8/work/VirtualBox-4.2.8/out/linux.amd64/release/obj/webservice/soapC.cpp /var/tmp/portage/app-emulation/virtualbox-4.2.8/work/VirtualBox-4.2.8/out/linux.amd64/release/obj/webservice 20
kmk_builtin_rm -f /var/tmp/portage/app-emulation/virtualbox-4.2.8/work/VirtualBox-4.2.8/out/linux.amd64/release/obj/webservice/gsoap_copy_all_ts
kmk_builtin_mkdir -p /var/tmp/portage/app-emulation/virtualbox-4.2.8/work/VirtualBox-4.2.8/out/linux.amd64/release/obj/webservice/demo_soapxml /var/tmp/portage/app-emulation/virtualbox-4.2.8/work/VirtualBox-4.2.8/out/linux.amd64/release/obj/webservice/demo_headers /var/tmp/portage/app-emulation/virtualbox-4.2.8/work/VirtualBox-4.2.8/out/linux.amd64/release/obj/webservice/demo_namespacemaps
kmk_builtin_mv -f  /var/tmp/portage/app-emulation/virtualbox-4.2.8/work/VirtualBox-4.2.8/out/linux.amd64/release/obj/webservice/demo_headers
usage: kmk_builtin_mv [-f | -i | -n] [-v] source target
   or: kmk_builtin_mv [-f | -i | -n] [-v] source ... directory
   or: kmk_builtin_mv --help
   or: kmk_builtin_mv --version
kmk: *** [/var/tmp/portage/app-emulation/virtualbox-4.2.8/work/VirtualBox-4.2.8/out/linux.amd64/release/obj/webservice/gsoap_copy_all_ts] Error 64
kmk: *** Waiting for unfinished jobs....
Comment 8 kouyu 2013-03-18 10:51:04 UTC
Gentoo developers need to take more responsibility. This bug was reported on 2013/02/19, but till today, it has not fixed yet.

But if you google it, you can see Arch linux already gave a resolution to this bug on 2013/02/20. 

Downgrade gsoap.

Here is the URL:
https://mailman.archlinux.org/pipermail/arch-general/2013-March/032999.html
Comment 9 Markos Chandras (RETIRED) gentoo-dev 2013-03-18 10:56:52 UTC
(In reply to comment #8)
> Gentoo developers need to take more responsibility. This bug was reported on
> 2013/02/19, but till today, it has not fixed yet.
> 
> But if you google it, you can see Arch linux already gave a resolution to
> this bug on 2013/02/20. 
> 
> Downgrade gsoap.
> 
> Here is the URL:
> https://mailman.archlinux.org/pipermail/arch-general/2013-March/032999.html

Downgrading is not an option but a workaround. You really need to push upstream to fix this properly (or double check that 4.2.10 is not already fixed)
Comment 10 jospezial 2013-03-19 02:32:34 UTC
Seen this bug today in virtualbox-4.2.10
My workaround is to set use flag -vboxwebsrv
Comment 11 Dmitry 2013-04-04 14:58:01 UTC
I have same problem on my amd64 machine. I tried to compile VirtualBox-4.1.24 with different versions of libs:
net-libs/gsoap-2.7.17 (currently stable)
net-libs/gsoap-2.8.14 (latest available)

dev-util/kbuild-0.1.9998_pre20110817 (currently stable)
dev-util/kbuild~0.1.9998_pre20120806 (latest available)


When I trying to compile VirtualBox-4.1.24 with USE="java vboxwebsrv" and MAKEOPTS="-j1", I got:
...
info: soapC-17.cpp
info: soapC-18.cpp
info: soapC-19.cpp
info: soapC-20.cpp
split-soapC: Created 20 files.
kmk_builtin_rm -f /home/tmp/portage/app-emulation/virtualbox-4.1.24/work/VirtualBox-4.1.24/out/linux.amd64/release/obj/webservice/gsoap_copy_all_ts
kmk_builtin_mkdir -p /home/tmp/portage/app-emulation/virtualbox-4.1.24/work/VirtualBox-4.1.24/out/linux.amd64/release/obj/webservice/demo_soapxml /home/tmp/portage/app-emulation/virtualbox-4.1.24/work/VirtualBox-4.1.24/out/linux.amd64/release/obj/webservice/demo_headers /home/tmp/portage/app-emulation/virtualbox-4.1.24/work/VirtualBox-4.1.24/out/linux.amd64/release/obj/webservice/demo_namespacemaps
kmk_builtin_mv -f  /home/tmp/portage/app-emulation/virtualbox-4.1.24/work/VirtualBox-4.1.24/out/linux.amd64/release/obj/webservice/demo_headers
usage: kmk_builtin_mv [-f | -i | -n] [-v] source target
   or: kmk_builtin_mv [-f | -i | -n] [-v] source ... directory
   or: kmk_builtin_mv --help
   or: kmk_builtin_mv --version
kmk: *** [/home/tmp/portage/app-emulation/virtualbox-4.1.24/work/VirtualBox-4.1.24/out/linux.amd64/release/obj/webservice/gsoap_copy_all_ts] Error 64


---------------------------
VirtualBox-4.2.10 is not affected and can be built with USE="java vboxwebsrv", but, unfortunately, it can't boot any virtual machine (some other bug).
VirtualBox-4.2.8 can be successfully built with that USE flags, and work fine.
Comment 12 Dmitry 2013-04-04 15:08:45 UTC
Created attachment 344396 [details]
emerge --info and build log 4.1.24
Comment 13 jospezial 2013-04-17 00:39:28 UTC
kmk_builtin_rm -f 
/var/tmp/portage/app-emulation/virtualbox-4.2.12/work/VirtualBox-4.2.12/out/linux.amd64/release/obj/split-soapC/split-soapC /var/tmp/portage/app-emulation/virtualbox-4.2.12/work/VirtualBox-4.2.12/out/linux.amd64/release/obj/webservice/soapC.cpp /var/tmp/portage/app-emulation/virtualbox-4.2.12/work/VirtualBox-4.2.12/out/linux.amd64/release/obj/webservice 20
kmk_builtin_rm -f /var/tmp/portage/app-emulation/virtualbox-4.2.12/work/VirtualBox-4.2.12/out/linux.amd64/release/obj/webservice/gsoap_copy_all_ts
kmk_builtin_mkdir -p /var/tmp/portage/app-emulation/virtualbox-4.2.12/work/VirtualBox-4.2.12/out/linux.amd64/release/obj/webservice/demo_soapxml /var/tmp/portage/app-emulation/virtualbox-4.2.12/work/VirtualBox-4.2.12/out/linux.amd64/release/obj/webservice/demo_headers /var/tmp/portage/app-emulation/virtualbox-4.2.12/work/VirtualBox-4.2.12/out/linux.amd64/release/obj/webservice/demo_namespacemaps
kmk_builtin_mv -f  /var/tmp/portage/app-emulation/virtualbox-4.2.12/work/VirtualBox-4.2.12/out/linux.amd64/release/obj/webservice/demo_headers
usage: kmk_builtin_mv [-f | -i | -n] [-v] source target
   or: kmk_builtin_mv [-f | -i | -n] [-v] source ... directory
   or: kmk_builtin_mv --help
   or: kmk_builtin_mv --version
kmk: *** [/var/tmp/portage/app-emulation/virtualbox-4.2.12/work/VirtualBox-4.2.12/out/linux.amd64/release/obj/webservice/gsoap_copy_all_ts] Error 64
kmk: *** Waiting for unfinished jobs....


I can't find the file gsoap_copy_all_ts. Or should that file be the product of the command that failes?
Comment 14 Mark (voidzero) 2013-05-13 19:23:13 UTC
This bug is hitting me now, too. I'm surprised by the age of it.

At the very least, please set the status to something more suitable. "Unconfirmed" doesn't cut it in my humble opinion.
Comment 15 Mark (voidzero) 2013-05-13 19:29:01 UTC
Downgrading gsoap to 2.7.17 worked for me. I need vboxwebsrv.
Comment 16 Markos Chandras (RETIRED) gentoo-dev 2013-05-14 08:32:00 UTC
(In reply to comment #14)
> This bug is hitting me now, too. I'm surprised by the age of it.
> 
> At the very least, please set the status to something more suitable.
> "Unconfirmed" doesn't cut it in my humble opinion.

see comment #9. Like I said, if nobody reports this upstream then it will not be fixed soon. This is not a Gentoo bug
Comment 17 jospezial 2013-05-15 10:06:14 UTC
After the horrible process of creating an Oracle account I have created a ticket:

https://www.virtualbox.org/ticket/11803

I wonder about the vbox-devs who did not yet hit that bug.
Comment 18 Markos Chandras (RETIRED) gentoo-dev 2013-05-15 10:09:34 UTC
(In reply to comment #17)
> After the horrible process of creating an Oracle account I have created a
> ticket:
> 
> https://www.virtualbox.org/ticket/11803
> 
> I wonder about the vbox-devs who did not yet hit that bug.

probably testing virtualbox on distros with old gsoap. Thanks for opening the upstream bug.
Comment 19 Denis M. (Phr33d0m) 2013-10-16 23:02:34 UTC
This issue still persists on vbox-4.3.0.

By what Frank says on upstream's bug, vbox is only build-able with <=gsoap-2.8.12. Can we change the vbox ebuilds to depend on gsoap-2.7.17 until this is fixed upstream?
Comment 20 Lars Wendler (Polynomial-C) gentoo-dev 2013-10-18 11:45:35 UTC
+  18 Oct 2013; Lars Wendler <polynomial-c@gentoo.org> +gsoap-2.8.12.ebuild:
+  Readded gsoap-2.8.12 as this is the last version working with
+  app-emulation/virtualbox[vboxwebsrv] (bug #456354).
+
Now gsoap-2.8.12 is back in the tree and virtualbox depends on <net-libs/gsoap-2.8.13 so this bug is temporarily fixed:

+  18 Oct 2013; Lars Wendler <polynomial-c@gentoo.org> virtualbox-4.2.18.ebuild,
+  virtualbox-4.3.0.ebuild:
+  Fixed compilation with vboxwebsrv USE flag being enabled. Thanks to Nenad
+  Peric for providing a fix in bug #482986. Restricted gsoap dependency version
+  (bug #456354). Adjusted dependencies a bit.
+

Please do not close this bug until upstream fixed the problem.
Comment 21 Lars Wendler (Polynomial-C) gentoo-dev 2014-04-03 12:06:25 UTC
+*virtualbox-4.3.10-r1 (03 Apr 2014)
+
+  03 Apr 2014; Lars Wendler <polynomial-c@gentoo.org>
+  +virtualbox-4.3.10-r1.ebuild:
+  Revbump to make vboxwebsrv compile with >=gsoap-2.8.13 (bug #456354).
+

Can someone confirm this being working with >=gsoap-2.8.13 please?
Comment 22 jannis 2014-04-03 18:43:34 UTC
(In reply to Lars Wendler (Polynomial-C) from comment #21)
> +*virtualbox-4.3.10-r1 (03 Apr 2014)
> +
> +  03 Apr 2014; Lars Wendler <polynomial-c@gentoo.org>
> +  +virtualbox-4.3.10-r1.ebuild:
> +  Revbump to make vboxwebsrv compile with >=gsoap-2.8.13 (bug #456354).
> +
> 
> Can someone confirm this being working with >=gsoap-2.8.13 please?

fails here, build.log will be attached
Comment 23 jannis 2014-04-03 18:46:26 UTC
Created attachment 374186 [details]
build.log.xz, gsoap-2.8.17, virtualbox-4.3.10-r1
Comment 24 jannis 2014-04-03 18:47:25 UTC
Created attachment 374188 [details]
emerge --info
Comment 25 jannis 2014-04-03 20:55:10 UTC
> fails here, build.log will be attached

works with LDFLAGS="-Wl,--no-as-needed -lgnutls -lgcrypt"
Comment 26 jospezial 2014-04-03 21:32:56 UTC
Seems fixed now. But I can't find the change in the source that made it happen.

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild     U  ] net-misc/youtube-dl-2014.04.03.2 [2014.04.01.3] USE="-offensive {-test}" PYTHON_SINGLE_TARGET="python2_7 -python2_6 -python3_3" PYTHON_TARGETS="python2_7 python3_3 -python2_6" 735 kB
[nomerge       ] lxde-base/lxde-meta-0.5.5-r4 
[nomerge       ]  x11-libs/libfm-1.2.0:0/4.0.0  USE="automount udisks -debug -doc -examples -vala" 
[nomerge       ]   gnome-base/gvfs-1.18.3  USE="archive bluray cdda fuse gdu gphoto2 gtk http ios mtp samba udev udisks -afp -avahi -bluetooth -gnome-online-accounts -libsecret -systemd {-test}" 
[nomerge       ]    gnome-base/libgdu-3.0.2  USE="-avahi -doc -gnome-keyring" 
[nomerge       ]     sys-fs/udisks-1.0.5  USE="nls remote-access -debug (-selinux)" 
[nomerge       ]      virtual/udev-208-r2  USE="gudev introspection -static-libs" ABI_X86="(64) -32 (-x32)" 
[nomerge       ]       virtual/libgudev-208  USE="introspection -static-libs" ABI_X86="(64) -32 (-x32)" 
[nomerge       ]        sys-fs/udev-212-r1  USE="acl firmware-loader gudev introspection kmod openrc -doc (-selinux) -static-libs" ABI_X86="(64) -32 (-x32)" 
[ebuild     U  ]         sys-fs/udev-init-scripts-26-r2 [26-r1] 0 kB
[ebuild     U  ] app-emulation/virtualbox-4.3.10-r1 [4.3.10] USE="additions alsa extensions java opengl pam pulseaudio qt4 sdk vboxwebsrv vnc -doc -headless -python" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7" 4 kB
[ebuild     U  ]  net-libs/gsoap-2.8.17 [2.8.12] USE="ipv6 ssl -debug -doc -examples -gnutls*" 20,388 kB
[nomerge       ] sys-fs/udisks-1.0.5  USE="nls remote-access -debug (-selinux)" 
[ebuild     U  ]  sys-apps/sg3_utils-1.38 [1.37] USE="-static-libs" 1,064 kB

Total: 5 packages (5 upgrades), Size of downloads: 22,191 kB

>>> Verifying ebuild manifests
>>> Emerging (1 of 5) sys-apps/sg3_utils-1.38::gentoo
>>> Installing (1 of 5) sys-apps/sg3_utils-1.38
>>> Emerging (2 of 5) net-libs/gsoap-2.8.17::gentoo
>>> Installing (2 of 5) net-libs/gsoap-2.8.17
>>> Emerging (3 of 5) app-emulation/virtualbox-4.3.10-r1::gentoo
>>> Installing (3 of 5) app-emulation/virtualbox-4.3.10-r1
>>> Emerging (4 of 5) sys-fs/udev-init-scripts-26-r2::gentoo
>>> Installing (4 of 5) sys-fs/udev-init-scripts-26-r2
>>> Emerging (5 of 5) net-misc/youtube-dl-2014.04.03.2::gentoo
>>> Installing (5 of 5) net-misc/youtube-dl-2014.04.03.2
>>> Jobs: 5 of 5 complete                           Load avg: 0.83, 1.49, 2.33
>>> Auto-cleaning packages...

emerge --info gsoap virtualbox
Portage 2.2.10 (default/linux/amd64/13.0, gcc-4.8.2, glibc-2.19, 3.14.0-rc8 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.14.0-rc8-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_4400+-with-gentoo-2.2
KiB Mem:     3598868 total,   2157636 free
KiB Swap:    9369592 total,   9274884 free
Timestamp of tree: Thu, 03 Apr 2014 19:45:01 +0000
ld GNU ld (GNU Binutils) 2.24
ccache version 3.1.9 [enabled]
app-shells/bash:          4.2_p46-r1
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.6, 3.3.5, 3.4.0
dev-util/ccache:          3.1.9-r3
dev-util/cmake:           2.8.12.2
dev-util/pkgconfig:       0.28-r1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.10.3, 1.11.6, 1.12.6, 1.14.1
sys-devel/binutils:       2.24-r2
sys-devel/gcc:            4.8.2-r1
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           4.0-r1
sys-kernel/linux-headers: 3.14 (virtual/os-headers)
sys-libs/glibc:           2.19
Repositories: gentoo overlay_jl
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--autounmask-write=y --keep-going --quiet-build=y"
FCFLAGS="-march=native -O2 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-march=native -O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext 64bit X Xaw3d a52 aac aacplus aacs aalib ace acl acpi activefilter ads aften alsa amd64 ap apm apng archive async audacious audiofile automount avcodec bash-completion bazaar berkdb binary-drivers binfilter blender-game bluray boost bzip2 bzr cairo canusb ccache cdda cddb cdio cdparanoia cdr cdrdao cdrom cgi charconv chm chroot city cjk clang cleartype cli colordiff colors compress consolekit corefonts cpio cracklib crypt css cue cups curl curlwrappers cvs cxx daemon dbus declarative demo device-mapper dga dhcp doom doomsday dos dri dts dv dvb dvd dvdnav eap eap-sim eap-tls ebook egl emerald emoticon enca encode enscript equalizer exif extensions extras faac faad fam farsight farstream fat fax fbcon fdformat ffmpeg fftw firefox flac fluidsynth fontconfig foomatic foomaticdb fortran freedoom ftp fts3 fuse g3dvl gallium gbm gd gdbm gdu geoip gif gimp git glamor glib glut gme gnutls gphoto2 gpm graphite gsm gstreamer gtk gtk3 gudev gui gzip hddtemp hdf hdf5 heretic hexen highlight hwdb iconv icq icu id3 id3tag idn imagemagick introspection ios ipc ipod ipv6 irc jack java javascript jit jpeg jpeg2k kde keymap ladspa lame laptop lcms ldap lensfun lha libass libcaca libcanberra libkms libnl libnotify libsamplerate libssh2 libv4l libv4l2 libwww live llvm llvm-shared-libs lm_sensors logrotate lua lxde lzma lzo mad madwifi magic man matroska md5sum metalink midi mikmod mime minizip mixer mjpeg mmap mms mmx mmxext mng mobi mod modplug modules mono mouse mozilla mp3 mp4 mpeg mplayer mtp mudflap multilib multislot musepack musicbrainz nano-syntax ncat ncurses ndiff network nfs nfsidmap nfsv3 nfsv4 nfsv41 nls nmap nmap-update nokia normalize nowlistening nping nptl nsplugin nss ntfs ntfsdecrypt ntfsprogs ntp nvidia nvram obex ocr ogg ogm openal opencl opengl openmp openvg optimized-qmake oscar osdmenu osmesa otr p2p pam pango panorama parport parse-clocks pcap pci pcre pdf pdfimport phonon pipes plasma plugins pm-utils pmu png policykit postscript ppds privacy projectm projectx pulseaudio pvr python3 qalculate qt3support qt4 quicktime r600-llvm-compiler radio rar raw rdesktop readline recording redeyes reiser4 reiserfs remote-access remoteosd replaygain resources rpm rtc rtmp rtsp rubberband samba sbsms scanner schroedinger sdl secure-delete semantic-desktop sensord session sftp sha512 shorten shout skins slang smbclient smi sndfile snowberry sockets sound soundtouch speex spell sql sqlite sqlite3 sse sse2 sse3 ssh ssl startup-notification statistics stk stream subtitles subversion svg swat symlink syslog szip taglib tcpd texteffect tftp theora threads thumbnail tiff translator truetype twolame udev udisks unicode upower urlpicpreview usb v4l vaapi vamp vboxwebsrv vcd vcdx vdpau video videos vidmode vim-syntax virtualbox vlm vnc vorbis vpx vroot vst wad wav wavpack webgl webkit webm webpresence wifi winbind winpopup wireshark wmf wps wxwidgets x264 x265 xa xattr xcb xcomposite xfs xine xinerama xinetd xml xmp xorg xosd xpm xrandr xscreensaver xv xvfb xvid xvmc zip zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20 ruby21" SANE_BACKENDS="plustek" USERLAND="GNU" VIDEO_CARDS="fbdev vesa svga vga radeon v4l modesetting r600" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

net-libs/gsoap-2.8.17 was built with the following:
USE="ipv6 ssl -debug -doc -examples -gnutls" ABI_X86="64"


app-emulation/virtualbox-4.3.10-r1 was built with the following:
USE="additions alsa extensions java opengl pam pulseaudio qt4 sdk vboxwebsrv vnc -doc -headless -python" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7"
Comment 27 Knut Masanetz 2014-04-04 09:46:31 UTC
It works for me now, but on one System it does not compile with use flag "headless". Will open a new bug for this later...
Comment 28 Lars Wendler (Polynomial-C) gentoo-dev 2015-11-04 13:36:41 UTC
IIRC we didn't wait for upstream here and already shipped a patch for quite a long time.